Page MenuHomePhabricator

Block interface after "Get users" check should allow talk page/send email blocking
Closed, ResolvedPublic

Description

Currently the interface says:

"Selected accounts will be blocked indefinitely, with autoblocking of IP addresses enabled and account creation disabled. IP addresses will be blocked for one week for anonymous users only and account creation will be disabled."

and offers replacing the user and talk pages.

We could possibly allow two options from [[Special:Block]]:

Prevent user from sending e-mail
Prevent this user from editing their own talk page while blocked


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=16306
https://bugzilla.wikimedia.org/show_bug.cgi?id=24482

Details

Reference
bz39213

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz39213.
bzimport added a subscriber: Unknown Object (MLST).
saper created this task.Aug 9 2012, 9:46 PM
Teles added a comment.Jul 22 2013, 8:36 PM

I miss this fix every day I am checkusering. To me, it doesn't have low importance at all. I wonder if somebody can help to get it fixed please.

DoRD.wiki wrote:

I agree that this would be a very useful enhancement to the CU extension.

Change 184116 had a related patch set uploaded (by Glaisher):
Allow blocking talk page access and send email access optionally

https://gerrit.wikimedia.org/r/184116

Patch-For-Review

saper moved this task from Backlog to Patches in review on the CheckUser board.Apr 5 2015, 11:13 PM
Glaisher claimed this task.Jul 1 2015, 4:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 27 2015, 4:58 PM

Change 184116 had a related patch set uploaded (by Glaisher):
Allow blocking talk page access and send email access optionally

https://gerrit.wikimedia.org/r/184116

Patch-For-Review

Any update here? A patch has been uploaded... and I right that it only has to be reviewed now?

'only'.. You're asking for reviews in the CheckUser extension :)

Change 184116 merged by jenkins-bot:
Allow blocking talk page access and send email access optionally

https://gerrit.wikimedia.org/r/184116

Krenair closed this task as Resolved.Dec 24 2015, 12:21 AM

code review santa got around to it, bit earlier than expected

Thanks a lot @Krenair! :)

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 2 2016, 3:05 PM
Meno25 removed a subscriber: Meno25.Jan 6 2016, 12:23 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 9 2016, 8:56 AM